org.spockframework.util.IncompatibleVersionsError: The Spock compiler plugin could not run because Spock 0.4.0-groovy-1.7 is not compatible with Groovy 1.8.0-beta-1-SNAPSHOT. For more information, see http://versioninfo.spockframework.org Spock location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/spock- core-0.4-groovy-1.7.jar Groovy location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/ groovy-1.8.0-beta-1-SNAPSHOT-0.2.5.jar

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Solutions on the web

via Google Groups by viklund_anders, 1 year ago
The Spock compiler plugin could not run because Spock 0.4.0-groovy-1.7 is not compatible with Groovy 1.8.0-beta-1-SNAPSHOT. For more information, see http://versioninfo.spockframework.org Spock location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/spock- core-0.4-groovy-1.7.jar Groovy location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/ groovy-1.8.0-beta-1-SNAPSHOT-0.2.5.jar
org.spockframework.util.IncompatibleVersionsError: The Spock compiler plugin could not run because Spock 0.4.0-groovy-1.7 is not compatible with Groovy 1.8.0-beta-1-SNAPSHOT. For more information, see http://versioninfo.spockframework.org Spock location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/spock- core-0.4-groovy-1.7.jar Groovy location: file:/C:/Program1/Groovy/Groovy-1.7.2/lib/ groovy-1.8.0-beta-1-SNAPSHOT-0.2.5.jar
at org.spockframework.util.VersionChecker.checkSpockAndGroovyVersionsAreCompatible(VersionChecker.java:22)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
at java.lang.Class.newInstance0(Class.java:355)
at java.lang.Class.newInstance(Class.java:308)
at org.codehaus.groovy.transform.ASTTransformationVisitor.addPhaseOperationsForGlobalTransforms(ASTTransformationVisitor.java:300)
at org.codehaus.groovy.transform.ASTTransformationVisitor.doAddGlobalTransforms(ASTTransformationVisitor.java:267)
at org.codehaus.groovy.transform.ASTTransformationVisitor.addGlobalTransforms(ASTTransformationVisitor.java:188)
at org.codehaus.groovy.transform.ASTTransformationVisitor.addPhaseOperations(ASTTransformationVisitor.java:151)
at org.codehaus.groovy.control.CompilationUnit.(CompilationUnit.java:184)
at org.codehaus.groovy.control.CompilationUnit.(CompilationUnit.java:113)
at org.codehaus.groovy.control.CompilationUnit.(CompilationUnit.java:105)
at org.codehaus.groovy.tools.FileSystemCompiler.(FileSystemCompiler.java:51)
at org.codehaus.groovy.tools.FileSystemCompiler.doCompilation(FileSystemCompiler.java:169)
at org.codehaus.groovy.tools.FileSystemCompiler.commandLineCompile(FileSystemCompiler.java:138)
at org.codehaus.groovy.tools.FileSystemCompiler.main(FileSystemCompiler.java:152)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.codehaus.groovy.tools.GroovyStarter.rootLoader(GroovyStarter.java:108)

Users with the same issue

You are the first who have seen this exception.

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.